Subject: [spring] IPR call for draft-ietf-spring-nsh-sr

From: <[email-masked]>
Date: Tue, 9 Feb 2021 18:06:11 +0000

Hi authors, contributors, WG

Authors of draft-ietf-spring-nsh-sr have asked for WG last call.
In preparation of the WGLC on draft-ietf-spring-nsh-sr [1], this email starts a poll for IPR.

If you are aware of IPR that applies to draft-ietf-spring-nsh-sr please respond to this email and keep the mailing list in copy.
If you are aware of IPR, please indicate whether it has been disclosed in accordance to the IETF IPR rules (detailed are described in RFCs 3979, 4879, 3669 and 5378).

If you are an *author or contributor* please respond to this email, on the SPRING mailing list, regardless of whether or not you're aware of any IPR.
If you are not an author or contributor, please explicitly respond only if you're aware of IPR that has not yet been disclosed.

Thanks,
Regards,
Bruno, Jim, Joel

[1] https://tools.ietf.org/html/draft-ietf-spring-nsh-sr

From: spring [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, November 2, 2020 4:26 PM
To: [email-masked]; [email-masked]
Subject: [spring] draft-ietf-spring-nsh-sr

Hi authors, WG,

Authors of draft-ietf-spring-nsh-sr have asked for WG last call.
Before initiating it, I've done a review of the draft as document shepherd.
Please find below some comments.

---
It's not crystal clear to me what the scope and the goal of the document are.

-          From the abstract, it's an informative description of two applications scenarios

-          From section 5, it's a specification of how to integrate NSH and SR.

o   Although it's only really specified for SRv6 and not SR-MPLS.

Please clarify to update the document as needed.

----
IdNits reports for 2 errors. [1]
  ** Downref: Normative reference to an Informational RFC: RFC 7665

-          Probably the only really normative reference is in the security section. Do you think that a reference to RFC8300 could be used instead (8300 has a large security consideration section)?

-          I noticed that 8300 had the same issue. What was the feedback from AD at the time?

  ** There are 4 instances of too long lines in the document, the longest one
     being 82 characters in excess of 72.
Could you please correct in the next version of the draft?

[1] https://tools.ietf.org/idnits?url=https://tools.ietf.org/id/draft-ietf-spring-nsh-sr-03.txt
-----
Abstract

The abstract feels like the document is informational (e.g., This document describes two application scenarios")
But the document asks for an IANA allocation requiring a STD track document, so the draft needs to be std track.
Do you think that you could add that the document defines the encapsulation of NSH for SR-MPLS and SRv6?

----
The introduction section seems to be coming from the SFC WG.

-          May be adding some text about SPRING?

-          Although this is a personal opinion, I find some sentences a bit marketing oriented. Could you please have a look? E.g.

o    "The SFC architecture has the merit to not make assumptions"
What about "The SFC architecture does not make assumptions"? This seems more neutral.

o    "Among all these approaches, the IETF endorsed a transport-independent

-             SFC encapsulation scheme: NSH [RFC8300<https://tools.ietf.org/html/rfc8300>]; which is the most mature SFC encapsulation solution. »
I'm not sure how much "is the most mature" is true or not. I'm not sure that the SPRING WG needs to make such statement nor that it is best placed to make such statement.
I'm not sure about "the IETF endorsed a transport-independent  SFC encapsulation scheme". Idem with regards to SPRING WG. I'm not sure that this is a typical statement in RFC. If so, it feels like the IETF would have equally endorsed transport-depending SFC encapsulation scheme. [RFC8595] https://tools.ietf.org/html/rfc8595

-          "This design is pragmatic"
Looks like an opinion. Plus I'm not sure that the SPRING WG needs to judge the work of the SFC WG.
----
§2

"The two SR flavors, namely SR-MPLS [RFC8660<https://tools.ietf.org/html/rfc8660>] and SRv6 [RFC8754<https://tools.ietf.org/html/rfc8754>],"

May be :s/flavors/data plane

"Further considerations such as simplifying classification at intermediate SFs"
I'm not sure that simplifying classification is the main point of adding NSH. RFC8595 does not refers to this. A priori SR supports a single initial classification.

----
§2

"A classifier SHOULD assign an NSH Service Path Identifier (SPI) per

   SR policy so that different traffic flows that use the same NSH

   Service Function Path (SFP) but different SR policy can coexist on

   the same SFP without conflict during SFF processing."

Is the above sentence applicable to both applications scenarios or only for the second one (SR-based SFC with integrated NSH service plane)?

In the current text, it's applicable to both while I'm not sure that it's applicable to "NSH-based SFC with SR-based transport plane" where the transport plane (hence the SR policy) is independent of the service plane.

---

« hierarchical SFC [RFC8459<https://tools.ietf.org/html/rfc8459>] »

Does this document specifically covers hierarchical SFC (hence hierarchical SFC & SR)? Is this reference really pertinent?

---
§3
Section 3 barely speaks about SR. Is this really a SPRING document?

When SR is refered to, there is nothing specific to SR.

e.g. "After removing the outer transport encapsulation, that may or may not be SR-MPLS or SRv6,"
If the document is related to the integration of SFC and SR, surely the encapsulation is either SR-MPLS or SRv6 (rather than may or may not be SR).

May be indicating that in this scenario, there is a priori one SR-policy per SF (while in the next scenario, there is a single SR-policy for the whole service chain). That would talk about SR and may provide a key distinction between both.

  " At the end of the SR-MPLS path it is necessary to provide an

   indication to the tail-end that NSH follows the SR-MPLS label stack.

   There are several ways to achieve this but its specification is

   outside the scope of this document."

I agree that this is necessary.
But why is the main  text related to SR-MPLS in this scenario, not specifying the behaviour?
I  don't follow the logic of specifying it for SRv6 (and hence requiring this document to be standard track while otherwise it could be an informational document describing two scenarios) and not specifying it for SR-MPLS.

Note that this text is duplicated in §5.1. And 5.1 is nearly defining one proposition, so why not saying that this is a solution? (there is no need to define the encoding for the control plane since this part would likely not be in a spring document) (a

   specific prefix-SID be allocated at each node for use by the SFC

   application for this purpose.)

---
§4

   The benefits of this scheme include:

[...].

   o  It simplifies the SFF (i.e., the SR router) by nullifying the

      needs for re-classification and SR proxy.

Regarding the need for reclassification, it seems to me that SR alone can nullify

Regarding the need for SR proxy, the behaviour described seems very close to a SR proxy "The SFF strips

   the SR information of the packet, updates the SR information, and

   saves it to a cache indexed by the NSH SPI.  This saved SR

   information is used to encapsulate and forward the packet(s) coming

   back from the SF. »

   o  It provides a unique and standard way to pass metadata to SFs.

      Note that currently there is no solution for SR-MPLS to carry

      metadata and there is no solution to pass metadata to SR-unaware

      SFs.

RFC8595 provides another standard way to pass meta data for SR-MPLS.
https://tools.ietf.org/html/rfc8595#section-12

---
§7.2

"   Encapsulation of NSH following SRv6 may be indicated either by

   encapsulating NSH in UDP (UDP port TBA1) and indicating UDP in the

   Next Header field of the SRH, or by indicating an IP protocol number

   for NSH in the Next Header of the SRH. "

Why is there a need for two solutions?
If so, what are the applicability statement or pro&con of each?
For interop purpose, which one is mandatory and which one is optional?

Thanks,
Regards,
--Bruno

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc

pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler

a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,

Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;

they should not be distributed, used or copied without authorisation.

If you have received this email in error, please notify the sender and delete this message and its attachments.

As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.

Thank you.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 9 Feb 2021 13:40:31 -0500

As a contributor, I do not know of any undisclosed IPR on this draft.

Yours,'
Joel

On 2/9/2021 1:06 PM, [email-masked] wrote:
> If you are aware of IPR that applies to draft-ietf-spring-nsh-sr please 
> respond to this email and keep the mailing list in copy.
> 
> If you are aware of IPR, please indicate whether it has been disclosed 
> in accordance to the IETF IPR rules (detailed are described in RFCs 
> 3979, 4879, 3669 and 5378).
> 
> If you are an *author or contributor* please respond to this email, on 
> the SPRING mailing list, regardless of whether or not you're aware of 
> any IPR.
> 
> If you are not an author or contributor, please explicitly respond only 
> if you're aware of IPR that has not yet been disclosed.
> 
> Thanks,
> 
> Regards,
> 
> Bruno, Jim, Joel
> 
> *From**:*spring [mailto:[email-masked]] *On Behalf Of 
> [email-masked]
> *Sent:* Monday, November 2, 2020 4:26 PM
> *To:* [email-masked]; [email-masked]
> *Subject:* [spring] draft-ietf-spring-nsh-sr
> 
> Hi authors, WG,
> 
> Before initiating it, I’ve done a review of the draft as document shepherd.
> 
> It’s not crystal clear to me what the scope and the goal of the document 
> are.
> 
> -From the abstract, it’s an informative description of two applications 
> scenarios
> 
> -From section 5, it’s a specification of how to integrate NSH and SR.
> 
> oAlthough it’s only really specified for SRv6 and not SR-MPLS.
> 
> -Probably the only really normative reference is in the security 
> section. Do you think that a reference to RFC8300 could be used instead 
> (8300 has a large security consideration section)?
> 
> -I noticed that 8300 had the same issue. What was the feedback from AD 
> at the time?
> 
> [1] 
> https://tools.ietf.org/idnits?url=https://tools.ietf.org/id/draft-ietf-spring-nsh-sr-03.txt 
> <https://tools.ietf.org/idnits?url=https://tools.ietf.org/id/draft-ietf-spring-nsh-sr-03.txt>
> 
> -----
> 
> Abstract
> 
> The abstract feels like the document is informational (e.g.,This 
> document describes two application scenarios”)
> 
> But the document asks for an IANA allocation requiring a STD track 
> document, so the draft needs to be std track.
> 
> Do you think that you could add that the document defines the 
> encapsulation of NSH for SR-MPLS and SRv6?
> 
> ----
> 
> -May be adding some text about SPRING?
> 
> -Although this is a personal opinion, I find some sentences a bit 
> marketing oriented. Could you please have a look? E.g.
> 
> o“The SFC architecture has the merit to not make assumptions”
> What about “The SFC architecture does not make assumptions”? This seems 
> more neutral.
> 
> o“Among all these approaches, the IETF endorsed a transport-independent
> 
> -SFC encapsulation scheme: NSH [RFC8300  <https://tools.ietf.org/html/rfc8300>]; which is the most mature SFC encapsulation solution. »
> I’m not sure how much “is the most mature” is true or not. I’m not sure 
> that the SPRING WG needs to make such statement nor that it is best 
> placed to make such statement.
> I’m not sure about “the IETF endorsed a transport-independentSFC 
> encapsulation scheme”. Idem with regards to SPRING WG. I’m not sure that 
> this is a typical statement in RFC. If so, it feels like the IETF would 
> have equally endorsed transport-depending SFC encapsulation scheme. 
> [RFC8595] https://tools.ietf.org/html/rfc8595 
> <https://tools.ietf.org/html/rfc8595>
> 
> -“This design is pragmatic”
> Looks like an opinion. Plus I’m not sure that the SPRING WG needs to 
> judge the work of the SFC WG.
> 
> ----
> 
> §2
> 
> “The two SR flavors, namely SR-MPLS [RFC8660  <https://tools.ietf.org/html/rfc8660>] and SRv6 [RFC8754  <https://tools.ietf.org/html/rfc8754>],”
> 
> “Further considerations such as simplifying classification at 
> intermediate SFs”
> 
> I’m not sure that simplifying classification is the main point of adding 
> NSH. RFC8595 does not refers to this. A priori SR supports a single 
> initial classification.
> 
> ----
> 
> §2
> 
> “A classifier SHOULD assign an NSH Service Path Identifier (SPI) per
> 
> the same SFP without conflict during SFF processing.”
> 
> Is the above sentence applicable to both applications scenarios or only 
> for the second one (SR-based SFC with integrated NSH service plane)?
> 
> In the current text, it’s applicable to both while I’m not sure that 
> it’s applicable to “NSH-based SFC with SR-based transport plane”where 
> the transport plane (hence the SR policy) is independent of the service 
> plane.
> 
> ---
> 
> « hierarchical SFC [RFC8459  <https://tools.ietf.org/html/rfc8459>] »
> 
> Does this document specifically covers hierarchical SFC (hence 
> hierarchical SFC & SR)? Is this reference really pertinent?
> 
> ---
> 
> §3
> 
> e.g. “After removing the outer transport encapsulation, that may or may 
> not be SR-MPLS or SRv6,”
> 
> If the document is related to the integration of SFC and SR, surely the 
> encapsulation is either SR-MPLS or SRv6 (rather than may or may not be SR).
> 
> May be indicating that in this scenario, there is a priori one SR-policy 
> per SF (while in the next scenario, there is a single SR-policy for the 
> whole service chain). That would talk about SR and may provide a key 
> distinction between both.
> 
> “ At the end of the SR-MPLS path it is necessary to provide an
> 
> outside the scope of this document.”
> 
> But why is the maintext related to SR-MPLS in this scenario, not 
> specifying the behaviour?
> 
> Idon’t follow the logic of specifying it for SRv6 (and hence requiring 
> this document to be standard track while otherwise it could be an 
> informational document describing two scenarios) and not specifying it 
> for SR-MPLS.
> 
> Note that this text is duplicated in §5.1. And 5.1 is nearly defining 
> one proposition, so why not saying that this is a solution? (there is no 
> need to define the encoding for the control plane since this part would 
> likely not be in a spring document) (a
> 
> […].
> oIt simplifies the SFF (i.e., the SR router) by nullifying the
> 
> Regarding the need for SR proxy, the behaviour described seems very 
> close to a SR proxy “The SFF strips
> 
> saves it to a cache indexed by the NSH SPI.This saved SR
> 
> oIt provides a unique and standard way to pass metadata to SFs.
> 
> <https://tools.ietf.org/html/rfc8595#section-12>
> 
> ---
> 
> §7.2
> 
> “Encapsulation of NSH following SRv6 may be indicated either by
> 
> for NSH in the Next Header of the SRH. “
> 
> _______________________________________________
> spring mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spring
>

---

From: <[email-masked]>
Date: Tue, 9 Feb 2021 18:47:49 +0000

Dear SFC WG,

The SPRING WG is starting a working group last call for draft-ietf-spring-nsh-sr. [1]
This document describes the integration of Network Service Header (NSH) [RFC8300] and Segment Routing (SR) [RFC8402], as well as  encapsulation details, to support Service Function Chaining (SFC)  [RFC7665].

The SPRING WG would welcome SFC WG review of this document, more specifically on the SFC and NSH related aspects.
Please send the comments on the SPRING WG list.

Thank you,
Best regards,
--Bruno

From: spring [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, February 9, 2021 7:06 PM
To: [email-masked]; [email-masked]
Subject: [spring] IPR call for draft-ietf-spring-nsh-sr

Thanks,
Regards,
Bruno, Jim, Joel

From: spring [mailto:[email-masked]] On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Monday, November 2, 2020 4:26 PM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: [spring] draft-ietf-spring-nsh-sr

Hi authors, WG,

---

----

----

----
§2

---

---
§3

---
§4

[...].

   back from the SF. »

      SFs.

---
§7.2

Thanks,
Regards,
--Bruno

Thank you.

Thank you.

---

From: Haoyu Song <[email-masked]>
Date: Tue, 9 Feb 2021 20:01:23 +0000

As a contributor, I'm not aware of any related IPR on this draft.

Thanks,
Haoyu

From: spring <[email-masked]> On Behalf Of [email-masked]
Sent: Tuesday, February 9, 2021 10:06 AM
To: [email-masked]; [email-masked]
Subject: [spring] IPR call for draft-ietf-spring-nsh-sr

Thanks,
Regards,
Bruno, Jim, Joel

Hi authors, WG,

---

  *   From the abstract, it's an informative description of two applications scenarios
  *   From section 5, it's a specification of how to integrate NSH and SR.

     *   Although it's only really specified for SRv6 and not SR-MPLS.

----

  *   Probably the only really normative reference is in the security section. Do you think that a reference to RFC8300 could be used instead (8300 has a large security consideration section)?
  *   I noticed that 8300 had the same issue. What was the feedback from AD at the time?

[1] https://tools.ietf.org/idnits?url=https://tools.ietf.org/id/draft-ietf-spring-nsh-sr-03.txt<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fidnits%3Furl%3Dhttps%3A%2F%2Ftools.ietf.org%2Fid%2Fdraft-ietf-spring-nsh-sr-03.txt&data=04%7C01%7Chaoyu.song%40futurewei.com%7C1a8ef920e2b14ea9390f08d8cd2569d0%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637484907887813867%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=WlJz3X7dsWrYZ9KkF2nKPtli1rOKUBsl1xfwrfRuUCM%3D&reserved=0>
-----
Abstract

----

  *   May be adding some text about SPRING?
  *   Although this is a personal opinion, I find some sentences a bit marketing oriented. Could you please have a look? E.g.

     *   "The SFC architecture has the merit to not make assumptions"
What about "The SFC architecture does not make assumptions"? This seems more neutral.
     *   "Among all these approaches, the IETF endorsed a transport-independent

-             SFC encapsulation scheme: NSH [RFC8300<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc8300&data=04%7C01%7Chaoyu.song%40futurewei.com%7C1a8ef920e2b14ea9390f08d8cd2569d0%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637484907887823865%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=3aEMeG%2BMWA%2FJRZ7lwAQk9vWmsWWEvN59J9RHL2tdpz0%3D&reserved=0>]; which is the most mature SFC encapsulation solution. »
I'm not sure how much "is the most mature" is true or not. I'm not sure that the SPRING WG needs to make such statement nor that it is best placed to make such statement.
I'm not sure about "the IETF endorsed a transport-independent  SFC encapsulation scheme". Idem with regards to SPRING WG. I'm not sure that this is a typical statement in RFC. If so, it feels like the IETF would have equally endorsed transport-depending SFC encapsulation scheme. [RFC8595] https://tools.ietf.org/html/rfc8595<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc8595&data=04%7C01%7Chaoyu.song%40futurewei.com%7C1a8ef920e2b14ea9390f08d8cd2569d0%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637484907887823865%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=%2BIIesYrFnsSuf3%2BAvJ3A7%2FnDSigFlTSfTRygYVEC7Is%3D&reserved=0>

  *   "This design is pragmatic"
Looks like an opinion. Plus I'm not sure that the SPRING WG needs to judge the work of the SFC WG.
----
§2

"The two SR flavors, namely SR-MPLS [RFC8660<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc8660&data=04%7C01%7Chaoyu.song%40futurewei.com%7C1a8ef920e2b14ea9390f08d8cd2569d0%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637484907887833854%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=%2FhYRsZJr20HF6Vu0hjerSc1ECK2gm1s63vzL7gIJUEY%3D&reserved=0>] and SRv6 [RFC8754<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc8754&data=04%7C01%7Chaoyu.song%40futurewei.com%7C1a8ef920e2b14ea9390f08d8cd2569d0%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637484907887833854%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=Alz61HWIhZGvKvcUrDeYsrPdqW7QAv8BpUL6c4IZhfs%3D&reserved=0>],"

----
§2

---

« hierarchical SFC [RFC8459<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc8459&data=04%7C01%7Chaoyu.song%40futurewei.com%7C1a8ef920e2b14ea9390f08d8cd2569d0%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637484907887843849%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=dxZDPwHhCfTQQby3VANqd2Y%2FSxPubT4Z5ZBAAycu%2F5E%3D&reserved=0>] »

---
§3

---
§4

[...].

   back from the SF. »

      SFs.

RFC8595 provides another standard way to pass meta data for SR-MPLS.
https://tools.ietf.org/html/rfc8595#section-12<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc8595%23section-12&data=04%7C01%7Chaoyu.song%40futurewei.com%7C1a8ef920e2b14ea9390f08d8cd2569d0%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637484907887843849%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=NObcZ%2B72bj6RY2ghr1if4VRK%2B0p%2BQSwSJcXKVIAOiMQ%3D&reserved=0>

---
§7.2

Thanks,
Regards,
--Bruno

Thank you.

Thank you.

---

From: "Henderickx, Wim (Nokia - BE/Antwerp)" <[email-masked]>
Date: Tue, 9 Feb 2021 20:41:22 +0000

As a co-athor, not aware of IPR related to this draft

On 09/02/2021, 19:40, "spring on behalf of Joel M. Halpern" <[email-masked] on behalf of [email-masked]> wrote:

    Yours,'
    Joel

---

From: James Guichard <[email-masked]>
Date: Tue, 9 Feb 2021 21:06:36 +0000

Hi Bruno,

As a co-author I am not aware of any undisclosed IPR.

Jim

From: [email-masked] <[email-masked]>
Sent: Tuesday, February 9, 2021 12:06 PM
To: [email-masked]; [email-masked]
Subject: IPR call for draft-ietf-spring-nsh-sr

Thanks,
Regards,
Bruno, Jim, Joel

Hi authors, WG,

---

----

[1] https://tools.ietf.org/idnits?url=https://tools.ietf.org/id/draft-ietf-spring-nsh-sr-03.txt<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fidnits%3Furl%3Dhttps%3A%2F%2Ftools.ietf.org%2Fid%2Fdraft-ietf-spring-nsh-sr-03.txt&data=04%7C01%7Cjames.n.guichard%40futurewei.com%7Ca55a2664e9b948a7402908d8cd25661c%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637484907809344014%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=UX%2BDd83tp%2Bi15PuHoOJtnePdVn08Hf2vaqyF%2FQo0ZQ0%3D&reserved=0>
-----
Abstract

----

-             SFC encapsulation scheme: NSH [RFC8300<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc8300&data=04%7C01%7Cjames.n.guichard%40futurewei.com%7Ca55a2664e9b948a7402908d8cd25661c%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637484907809354008%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=Pwt5OW%2FLoGFTfTKieJGrNrKaJGVaPYC80weeEU4Yqf8%3D&reserved=0>]; which is the most mature SFC encapsulation solution. »
I'm not sure how much "is the most mature" is true or not. I'm not sure that the SPRING WG needs to make such statement nor that it is best placed to make such statement.
I'm not sure about "the IETF endorsed a transport-independent  SFC encapsulation scheme". Idem with regards to SPRING WG. I'm not sure that this is a typical statement in RFC. If so, it feels like the IETF would have equally endorsed transport-depending SFC encapsulation scheme. [RFC8595] https://tools.ietf.org/html/rfc8595<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc8595&data=04%7C01%7Cjames.n.guichard%40futurewei.com%7Ca55a2664e9b948a7402908d8cd25661c%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637484907809354008%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=hrgt460%2FM1Gly4n1pUW3WPEBmsGCKeBmy8CVjWassKI%3D&reserved=0>

"The two SR flavors, namely SR-MPLS [RFC8660<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc8660&data=04%7C01%7Cjames.n.guichard%40futurewei.com%7Ca55a2664e9b948a7402908d8cd25661c%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637484907809364005%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=DGIpIE6Fvzi1XQIVTqZUNbwRM%2BoFN0k%2BDnPvwTaHwnc%3D&reserved=0>] and SRv6 [RFC8754<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc8754&data=04%7C01%7Cjames.n.guichard%40futurewei.com%7Ca55a2664e9b948a7402908d8cd25661c%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637484907809364005%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=CpjTFz4RyZr%2Fip7Oi8CfoBxbX1IvutE%2BxqkdPKEsphs%3D&reserved=0>],"

----
§2

---

« hierarchical SFC [RFC8459<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc8459&data=04%7C01%7Cjames.n.guichard%40futurewei.com%7Ca55a2664e9b948a7402908d8cd25661c%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637484907809373996%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=i%2BqeHnmrdEioK5csZj%2BtzILl34n6nt6%2FMF2zV%2BmZynI%3D&reserved=0>] »

---
§3

---
§4

[...].

   back from the SF. »

      SFs.

RFC8595 provides another standard way to pass meta data for SR-MPLS.
https://tools.ietf.org/html/rfc8595#section-12<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc8595%23section-12&data=04%7C01%7Cjames.n.guichard%40futurewei.com%7Ca55a2664e9b948a7402908d8cd25661c%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637484907809373996%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=8%2FBUk96SLC0S4XisqbsrWWCYLeZpEF1X%2BdxBD1Fqz%2Bk%3D&reserved=0>

---
§7.2

Thanks,
Regards,
--Bruno

Thank you.

Thank you.

---

From: Jeff Tantsura <[email-masked]>
Date: Tue, 9 Feb 2021 16:50:09 -0800

Hi Bruno,

Thanks!

Cheers,
Jeff

---

From: "Chengli (Cheng Li)" <[email-masked]>
Date: Wed, 10 Feb 2021 01:28:51 +0000

I am aware of an IPR that has been disclosed in the system.

Thanks,
Cheng

From: spring [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Wednesday, February 10, 2021 2:06 AM
To: [email-masked]; [email-masked]
Subject: [spring] IPR call for draft-ietf-spring-nsh-sr

Thanks,
Regards,
Bruno, Jim, Joel

Hi authors, WG,

---

----

----

----
§2

---

---
§3

---
§4

[...].

   back from the SF. »

      SFs.

---
§7.2

Thanks,
Regards,
--Bruno

Thank you.

Thank you.

---

From: <[email-masked]>
Date: Wed, 10 Feb 2021 05:57:11 +0000

Hi all,

As a co-author, I confirm that I don't have any IPR nor I'm aware of any related to this draft.

It seems that we missed to include some MTU considerations in the text. Although these issues are not specific to this spec, but reminding the issues would be helpful. Adding a pointer to Section 5 of RFC8300 and similar sections of SR specs would be the minimum.

Another point that needs more focus from the spring wg is the IANA port assignment requests. I know there is a push back to assign new ports (especially, to assign more than one port number for a service) if no solid justifications are provided. Please refer to https://www.rfc-editor.org/rfc/rfc7605#section-7.

Other than that, I do think that the document is stable enough to move forward.

Cheers,
Med

De : sfc [mailto:[email-masked]] De la part de [email-masked]
Envoyé : mardi 9 février 2021 19:48
À : [email-masked]
Cc : [email-masked]; [email-masked]
Objet : [sfc] FW: [spring] IPR call for draft-ietf-spring-nsh-sr

Dear SFC WG,

Thank you,
Best regards,
--Bruno

Thanks,
Regards,
Bruno, Jim, Joel

Hi authors, WG,

---

----

----

----
§2

---

---
§3

---
§4

[...].

   back from the SF. »

      SFs.

---
§7.2

Thanks,
Regards,
--Bruno

Thank you.

Thank you.

Thank you.